Package org.apache.synapse.transport.passthru

## Class PassThroughConstants

- java.lang.Object
- - org.apache.synapse.transport.passthru.PassThroughConstants

-     public class PassThroughConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `APPLICATION_OCTET_STREAM` |
    `static String` | `BASE_ERROR_CODE` | The message context property name which holds the error code for the last encountered exception without any protocol state specific alterations
    `static String` | `BUFFERED_INPUT_STREAM` |
    `static String` | `BUILDER_OUTPUT_STREAM` |
    `static String` | `CLIENT_WORKER_INIT_TIME` |
    `static String` | `CLIENT_WORKER_REFERENCE` |
    `static String` | `CLIENT_WORKER_START_TIME` |
    `static String` | `CLONE_PASS_THROUGH_PIPE_REQUEST` |
    `static String` | `CONF_LOCATION` |
    `static String` | `CONNECTION_EXPIRY_TIME` |
    `static String` | `CONNECTION_INIT_TIME` |
    `static String` | `CONNECTION_KEEP_ALIVE_TIME_OUT` |
    `static String` | `CONNECTION_LIMIT_EXCEEDS` |
    `static String` | `CONNECTION_POOL` |
    `static String` | `CONTENT_TYPE` |
    `static String` | `CONTENT_TYPE_MULTIPART_FORM_DATA` |
    `static String` | `CONTENT_TYPE_MULTIPART_RELATED` |
    `static String` | `COPY_CONTENT_LENGTH_FROM_INCOMING` |
    `static String` | `CORRELATION_DEFAULT_HEADER` |
    `static String` | `CORRELATION_LOGGER` |
    `static String` | `CORRELATION_LOGS_SYS_PROPERTY` |
    `static String` | `DEFAULT_CONTENT_TYPE` |
    `static int` | `DEFAULT_IO_THREAD_COUNT` |
    `static int` | `DEFAULT_MAX_CONN_PER_HOST_PORT` |
    `static String` | `DISABLE_CHUNKING` |
    `static String` | `DISABLE_KEEPALIVE` |
    `static String` | `DISCARD_ON_COMPLETE` |
    `static String` | `ENABLE_WS_ADDRESSING` |
    `static String` | `EPR_TO_SERVICE_NAME_MAP` |
    `static String` | `ERROR_CODE` | The message context property name which holds the error code for the last encountered exception
    `static String` | `ERROR_DETAIL` | The message context property name which holds the error detail (stack trace) for the last encountered exception
    `static String` | `ERROR_EXCEPTION` | The message context property name which holds the exception (if any) for the last encountered exception
    `static String` | `ERROR_MESSAGE` | The MC property name which holds the error message for the last encountered exception
    `static String` | `FAULT_MESSAGE` |
    `static String` | `FAULTS_AS_HTTP_200` |
    `static String` | `FORCE_HTTP_1_0` |
    `static String` | `FORCE_JSON_MESSAGE_VALIDATION` |
    `static String` | `FORCE_PASSTHROUGH_BUILDER` |
    `static String` | `FORCE_POST_PUT_NOBODY` |
    `static String` | `FORCE_SC_ACCEPTED` |
    `static String` | `FORCE_SOAP_FAULT` |
    `static String` | `FORCE_XML_MESSAGE_VALIDATION` |
    `static String` | `FORMATTER_PRESERVE` |
    `static String` | `FULL_URI` |
    `static String` | `HIDDEN_SERVICE_PARAM_NAME` |
    `static String` | `HTTP_CONNECT` |
    `static String` | `HTTP_CONTENT_LENGTH` |
    `static String` | `HTTP_CONTENT_TYPE` |
    `static String` | `HTTP_DELETE` |
    `static String` | `HTTP_ETAG_ENABLED` |
    `static String` | `HTTP_GET` |
    `static String` | `HTTP_HEAD` |
    `static String` | `HTTP_METHOD` |
    `static String` | `HTTP_NON_PROXY_HOST` |
    `static String` | `HTTP_OPTIONS` |
    `static String` | `HTTP_POST` |
    `static String` | `HTTP_PROXY_HOST` |
    `static String` | `HTTP_PROXY_PASSWORD` |
    `static String` | `HTTP_PROXY_PORT` |
    `static String` | `HTTP_PROXY_USERNAME` |
    `static String` | `HTTP_PUT` |
    `static String` | `HTTP_SC` |
    `static String` | `HTTP_SC_DESC` |
    `static String` | `HTTP_SOCKET_TIMEOUT` |
    `static String` | `IGNORE_SC_ACCEPTED` |
    `static String` | `INTERNAL_EXCEPTION_ORIGIN` |
    `static String` | `INTERNAL_ORIGIN_ERROR_HANDLER` |
    `static String` | `INTERNAL_TRIGGER_NAME` |
    `static String` | `INTERNAL_TRIGGER_TYPE` |
    `static String` | `INVOKED_REST` |
    `static String` | `JSON_CONTENT_TYPE` |
    `static String` | `LOCATION` |
    `static String` | `MESSAGE_BUILDER_INVOKED` |
    `static String` | `MESSAGE_DISCARD_WORKER_REFERENCE` |
    `static String` | `MESSAGE_OUTPUT_FORMAT` |
    `static String` | `MESSAGE_SIZE_VALIDATION_SUM` |
    `static String` | `NO_ENTITY_BODY` |
    `static String` | `NO_KEEPALIVE` |
    `static String` | `NON_BLOCKING_TRANSPORT` |
    `static String` | `ORGINAL_CONTEN_LENGTH` |
    `static String` | `ORIGINAL_HTTP_REASON_PHRASE` |
    `static String` | `ORIGINAL_HTTP_SC` |
    `static String` | `PASS_THROUGH_PIPE` |
    `protected static String` | `PASS_THROUGH_SOURCE_CONFIGURATION` |
    `static String` | `PASS_THROUGH_SOURCE_CONNECTION` |
    `protected static String` | `PASS_THROUGH_SOURCE_REQUEST` |
    `protected static String` | `PASS_THROUGH_TARGET_CONFIGURATION` |
    `protected static String` | `PASS_THROUGH_TARGET_CONNECTION` |
    `protected static String` | `PASS_THROUGH_TARGET_RESPONSE` |
    `static String` | `PASS_THROUGH_TRANSPORT_WORKER_POOL` |
    `static String` | `PASSTHOUGH_HTTP_SERVER_WORKER` |
    `static String` | `PASSTHROUGH_LATENCY_VIEW` |
    `static String` | `PASSTHROUGH_S2SLATENCY_VIEW` |
    `static String` | `PASSTROUGH_MESSAGE_LENGTH` |
    `static String` | `PROTOCOL_STATE_ON_FAILURE` | The message context property name which holds the http protocol state upon a failure
    `static String` | `PROXY_BASIC_REALM` |
    `static String` | `PROXY_PROFILE_TARGET_HOST` |
    `static String` | `RAW_PAYLOAD` | An Axis2 message context property that hols the raw payload when an error occurs while building message
    `static String` | `RELAY_EARLY_BUILD` |
    `static String` | `REQ_ARRIVAL_TIME` |
    `static String` | `REQ_DEPARTURE_TIME` |
    `static String` | `REQ_FROM_CLIENT_BODY_READ_START_TIME` |
    `static String` | `REQ_FROM_CLIENT_READ_END_TIME` |
    `static String` | `REQ_FROM_CLIENT_READ_START_TIME` |
    `static String` | `REQ_TO_BACKEND_WRITE_END_TIME` |
    `static String` | `REQ_TO_BACKEND_WRITE_START_TIME` |
    `static String` | `REQUEST_ACCEPTS_GZIP` |
    `static String` | `REQUEST_CONTENT_TYPE` |
    `static String` | `REQUEST_MESSAGE_CONTEXT` |
    `static String` | `RES_ARRIVAL_TIME` |
    `static String` | `RES_DEPARTURE_TIME` |
    `static String` | `RES_FROM_BACKEND_READ_END_TIME` |
    `static String` | `RES_FROM_BACKEND_READ_START_TIME` |
    `static String` | `RES_HEADER_ARRIVAL_TIME` |
    `static String` | `RES_TO_CLIENT_BODY_WRITE_START_TIME` |
    `static String` | `RES_TO_CLIENT_WRITE_END_TIME` |
    `static String` | `RES_TO_CLIENT_WRITE_START_TIME` |
    `static String` | `RESPONSE_MESSAGE_CONTEXT` |
    `static String` | `REST_GET_DELETE_INVOKE` |
    `static String` | `REST_REQUEST_CONTENT_TYPE` |
    `static String` | `REST_URL_POSTFIX` |
    `static String` | `SC_ACCEPTED` |
    `static String` | `SECURITY_MODULE_NAME` | Name of the .mar file
    `static String` | `SENDING_FAULT` | An Axis2 message context property indicating a transport send failure
    `static String` | `SERIALIZED_BYTES` |
    `static String` | `SERVER_WORKER_INIT_TIME` |
    `static String` | `SERVER_WORKER_REFERENCE` |
    `static String` | `SERVER_WORKER_START_TIME` |
    `static String` | `SERVER_WORKER_THREAD_ID` |
    `static String` | `SERVICE_PREFIX` |
    `static String` | `SERVICE_URI_LOCATION` |
    `static String` | `SET_CHARACTER_ENCODING` |
    `static String` | `SOURCE_CONNECTION_DROPPED` |
    `static String` | `SYNAPSE_ARTIFACT_TYPE` |
    `static String` | `SYNAPSE_PASSTHROUGH_LATENCY_ADVANCE_VIEW` |
    `static String` | `SYNAPSE_PASSTHROUGH_S2SLATENCY_ADVANCE_VIEW` |
    `static String` | `SYSTEMPROP_PORT_CLOSE_VERIFY_TIMEOUT` |
    `static String` | `THREAD_STATUS_RUNNING` |
    `static String` | `TRACE_SOAP_MESSAGE` |
    `static String` | `TRANSPORT_IN_URL` |
    `static String` | `TRANSPORT_LATENCY_LOGGER` |
    `static String` | `TRANSPORT_MESSAGE_HANDLER` |
    `static String` | `TRUE` |
    `static String` | `TUNNEL_HANDLER` |
    `static String` | `VALUE_FALSE` |
    `static String` | `WAIT_BUILDER_IN_STREAM_COMPLETE` |
    `static String` | `WSDL_EPR_PREFIX` |
    `static String` | `WSDL_GEN_HANDLED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PassThroughConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_IO_THREAD_COUNT

          public static final int DEFAULT_IO_THREAD_COUNT

    - #### DEFAULT_MAX_CONN_PER_HOST_PORT

          public static final int DEFAULT_MAX_CONN_PER_HOST_PORT

      See Also:
        Constant Field Values

    - #### REQUEST_MESSAGE_CONTEXT

          public static final String REQUEST_MESSAGE_CONTEXT

      See Also:
        Constant Field Values

    - #### RESPONSE_MESSAGE_CONTEXT

          public static final String RESPONSE_MESSAGE_CONTEXT

      See Also:
        Constant Field Values

    - #### SYNAPSE_ARTIFACT_TYPE

          public static final String SYNAPSE_ARTIFACT_TYPE

      See Also:
        Constant Field Values

    - #### CONNECTION_POOL

          public static final String CONNECTION_POOL

      See Also:
        Constant Field Values

    - #### TUNNEL_HANDLER

          public static final String TUNNEL_HANDLER

      See Also:
        Constant Field Values

    - #### CONNECTION_INIT_TIME

          public static final String CONNECTION_INIT_TIME

      See Also:
        Constant Field Values

    - #### CONNECTION_EXPIRY_TIME

          public static final String CONNECTION_EXPIRY_TIME

      See Also:
        Constant Field Values

    - #### CONNECTION_KEEP_ALIVE_TIME_OUT

          public static final String CONNECTION_KEEP_ALIVE_TIME_OUT

      See Also:
        Constant Field Values

    - #### TRUE

          public static final String TRUE

      See Also:
        Constant Field Values

    - #### VALUE_FALSE

          public static final String VALUE_FALSE

      See Also:
        Constant Field Values

    - #### FAULT_MESSAGE

          public static final String FAULT_MESSAGE

      See Also:
        Constant Field Values

    - #### FAULTS_AS_HTTP_200

          public static final String FAULTS_AS_HTTP_200

      See Also:
        Constant Field Values

    - #### SC_ACCEPTED

          public static final String SC_ACCEPTED

      See Also:
        Constant Field Values

    - #### HTTP_SC

          public static final String HTTP_SC

      See Also:
        Constant Field Values

    - #### FORCE_HTTP_1_0

          public static final String FORCE_HTTP_1_0

      See Also:
        Constant Field Values

    - #### DISABLE_CHUNKING

          public static final String DISABLE_CHUNKING

      See Also:
        Constant Field Values

    - #### FULL_URI

          public static final String FULL_URI

      See Also:
        Constant Field Values

    - #### NO_KEEPALIVE

          public static final String NO_KEEPALIVE

      See Also:
        Constant Field Values

    - #### DISABLE_KEEPALIVE

          public static final String DISABLE_KEEPALIVE

      See Also:
        Constant Field Values

    - #### IGNORE_SC_ACCEPTED

          public static final String IGNORE_SC_ACCEPTED

      See Also:
        Constant Field Values

    - #### FORCE_SC_ACCEPTED

          public static final String FORCE_SC_ACCEPTED

      See Also:
        Constant Field Values

    - #### DISCARD_ON_COMPLETE

          public static final String DISCARD_ON_COMPLETE

      See Also:
        Constant Field Values

    - #### SERVICE_URI_LOCATION

          public static final String SERVICE_URI_LOCATION

      See Also:
        Constant Field Values

    - #### WSDL_EPR_PREFIX

          public static final String WSDL_EPR_PREFIX

      See Also:
        Constant Field Values

    - #### EPR_TO_SERVICE_NAME_MAP

          public static final String EPR_TO_SERVICE_NAME_MAP

      See Also:
        Constant Field Values

    - #### NON_BLOCKING_TRANSPORT

          public static final String NON_BLOCKING_TRANSPORT

      See Also:
        Constant Field Values

    - #### SERIALIZED_BYTES

          public static final String SERIALIZED_BYTES

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          public static final String CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### SET_CHARACTER_ENCODING

          public static final String SET_CHARACTER_ENCODING

      See Also:
        Constant Field Values

    - #### DEFAULT_CONTENT_TYPE

          public static final String DEFAULT_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_MULTIPART_RELATED

          public static final String CONTENT_TYPE_MULTIPART_RELATED

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_MULTIPART_FORM_DATA

          public static final String CONTENT_TYPE_MULTIPART_FORM_DATA

      See Also:
        Constant Field Values

    - #### JSON_CONTENT_TYPE

          public static final String JSON_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### HIDDEN_SERVICE_PARAM_NAME

          public static final String HIDDEN_SERVICE_PARAM_NAME

      See Also:
        Constant Field Values

    - #### SENDING_FAULT

          public static final String SENDING_FAULT

      An Axis2 message context property indicating a transport send failure
      See Also:
        Constant Field Values

    - #### ERROR_CODE

          public static final String ERROR_CODE

      The message context property name which holds the error code for the last encountered exception
      See Also:
        Constant Field Values

    - #### BASE_ERROR_CODE

          public static final String BASE_ERROR_CODE

      The message context property name which holds the error code for the last encountered exception without any protocol state specific alterations
      See Also:
        Constant Field Values

    - #### PROTOCOL_STATE_ON_FAILURE

          public static final String PROTOCOL_STATE_ON_FAILURE

      The message context property name which holds the http protocol state upon a failure
      See Also:
        Constant Field Values

    - #### ERROR_MESSAGE

          public static final String ERROR_MESSAGE

      The MC property name which holds the error message for the last encountered exception
      See Also:
        Constant Field Values

    - #### ERROR_DETAIL

          public static final String ERROR_DETAIL

      The message context property name which holds the error detail (stack trace) for the last encountered exception
      See Also:
        Constant Field Values

    - #### ERROR_EXCEPTION

          public static final String ERROR_EXCEPTION

      The message context property name which holds the exception (if any) for the last encountered exception
      See Also:
        Constant Field Values

    - #### RAW_PAYLOAD

          public static final String RAW_PAYLOAD

      An Axis2 message context property that hols the raw payload when an error occurs while building message
      See Also:
        Constant Field Values

    - #### REST_URL_POSTFIX

          public static final String REST_URL_POSTFIX

      See Also:
        Constant Field Values

    - #### SERVICE_PREFIX

          public static final String SERVICE_PREFIX

      See Also:
        Constant Field Values

    - #### NO_ENTITY_BODY

          public static final String NO_ENTITY_BODY

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_TRANSPORT_WORKER_POOL

          public static final String PASS_THROUGH_TRANSPORT_WORKER_POOL

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_SOURCE_CONFIGURATION

          protected static final String PASS_THROUGH_SOURCE_CONFIGURATION

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_SOURCE_CONNECTION

          public static final String PASS_THROUGH_SOURCE_CONNECTION

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_SOURCE_REQUEST

          protected static final String PASS_THROUGH_SOURCE_REQUEST

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_TARGET_CONFIGURATION

          protected static final String PASS_THROUGH_TARGET_CONFIGURATION

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_TARGET_CONNECTION

          protected static final String PASS_THROUGH_TARGET_CONNECTION

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_TARGET_RESPONSE

          protected static final String PASS_THROUGH_TARGET_RESPONSE

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_PIPE

          public static final String PASS_THROUGH_PIPE

      See Also:
        Constant Field Values

    - #### REQUEST_CONTENT_TYPE

          public static final String REQUEST_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### REST_REQUEST_CONTENT_TYPE

          public static final String REST_REQUEST_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### MESSAGE_BUILDER_INVOKED

          public static final String MESSAGE_BUILDER_INVOKED

      See Also:
        Constant Field Values

    - #### TRANSPORT_MESSAGE_HANDLER

          public static final String TRANSPORT_MESSAGE_HANDLER

      See Also:
        Constant Field Values

    - #### INVOKED_REST

          public static final String INVOKED_REST

      See Also:
        Constant Field Values

    - #### FORMATTER_PRESERVE

          public static final String FORMATTER_PRESERVE

      See Also:
        Constant Field Values

    - #### CLONE_PASS_THROUGH_PIPE_REQUEST

          public static final String CLONE_PASS_THROUGH_PIPE_REQUEST

      See Also:
        Constant Field Values

    - #### CONNECTION_LIMIT_EXCEEDS

          public static final String CONNECTION_LIMIT_EXCEEDS

      See Also:
        Constant Field Values

    - #### SECURITY_MODULE_NAME

          public static final String SECURITY_MODULE_NAME

      Name of the .mar file
      See Also:
        Constant Field Values

    - #### REST_GET_DELETE_INVOKE

          public static final String REST_GET_DELETE_INVOKE

      See Also:
        Constant Field Values

    - #### FORCE_POST_PUT_NOBODY

          public static final String FORCE_POST_PUT_NOBODY

      See Also:
        Constant Field Values

    - #### PASSTROUGH_MESSAGE_LENGTH

          public static final String PASSTROUGH_MESSAGE_LENGTH

      See Also:
        Constant Field Values

    - #### CONF_LOCATION

          public static final String CONF_LOCATION

      See Also:
        Constant Field Values

    - #### LOCATION

          public static final String LOCATION

      See Also:
        Constant Field Values

    - #### BUFFERED_INPUT_STREAM

          public static final String BUFFERED_INPUT_STREAM

      See Also:
        Constant Field Values

    - #### REQ_ARRIVAL_TIME

          public static final String REQ_ARRIVAL_TIME

      See Also:
        Constant Field Values

    - #### REQ_DEPARTURE_TIME

          public static final String REQ_DEPARTURE_TIME

      See Also:
        Constant Field Values

    - #### RES_ARRIVAL_TIME

          public static final String RES_ARRIVAL_TIME

      See Also:
        Constant Field Values

    - #### RES_HEADER_ARRIVAL_TIME

          public static final String RES_HEADER_ARRIVAL_TIME

      See Also:
        Constant Field Values

    - #### RES_DEPARTURE_TIME

          public static final String RES_DEPARTURE_TIME

      See Also:
        Constant Field Values

    - #### REQ_FROM_CLIENT_READ_START_TIME

          public static final String REQ_FROM_CLIENT_READ_START_TIME

      See Also:
        Constant Field Values

    - #### REQ_FROM_CLIENT_READ_END_TIME

          public static final String REQ_FROM_CLIENT_READ_END_TIME

      See Also:
        Constant Field Values

    - #### REQ_FROM_CLIENT_BODY_READ_START_TIME

          public static final String REQ_FROM_CLIENT_BODY_READ_START_TIME

      See Also:
        Constant Field Values

    - #### REQ_TO_BACKEND_WRITE_START_TIME

          public static final String REQ_TO_BACKEND_WRITE_START_TIME

      See Also:
        Constant Field Values

    - #### REQ_TO_BACKEND_WRITE_END_TIME

          public static final String REQ_TO_BACKEND_WRITE_END_TIME

      See Also:
        Constant Field Values

    - #### RES_FROM_BACKEND_READ_START_TIME

          public static final String RES_FROM_BACKEND_READ_START_TIME

      See Also:
        Constant Field Values

    - #### RES_FROM_BACKEND_READ_END_TIME

          public static final String RES_FROM_BACKEND_READ_END_TIME

      See Also:
        Constant Field Values

    - #### RES_TO_CLIENT_WRITE_START_TIME

          public static final String RES_TO_CLIENT_WRITE_START_TIME

      See Also:
        Constant Field Values

    - #### RES_TO_CLIENT_WRITE_END_TIME

          public static final String RES_TO_CLIENT_WRITE_END_TIME

      See Also:
        Constant Field Values

    - #### RES_TO_CLIENT_BODY_WRITE_START_TIME

          public static final String RES_TO_CLIENT_BODY_WRITE_START_TIME

      See Also:
        Constant Field Values

    - #### SERVER_WORKER_INIT_TIME

          public static final String SERVER_WORKER_INIT_TIME

      See Also:
        Constant Field Values

    - #### SERVER_WORKER_REFERENCE

          public static final String SERVER_WORKER_REFERENCE

      See Also:
        Constant Field Values

    - #### CLIENT_WORKER_REFERENCE

          public static final String CLIENT_WORKER_REFERENCE

      See Also:
        Constant Field Values

    - #### MESSAGE_DISCARD_WORKER_REFERENCE

          public static final String MESSAGE_DISCARD_WORKER_REFERENCE

      See Also:
        Constant Field Values

    - #### THREAD_STATUS_RUNNING

          public static final String THREAD_STATUS_RUNNING

      See Also:
        Constant Field Values

    - #### SERVER_WORKER_START_TIME

          public static final String SERVER_WORKER_START_TIME

      See Also:
        Constant Field Values

    - #### CLIENT_WORKER_INIT_TIME

          public static final String CLIENT_WORKER_INIT_TIME

      See Also:
        Constant Field Values

    - #### CLIENT_WORKER_START_TIME

          public static final String CLIENT_WORKER_START_TIME

      See Also:
        Constant Field Values

    - #### SYNAPSE_PASSTHROUGH_LATENCY_ADVANCE_VIEW

          public static final String SYNAPSE_PASSTHROUGH_LATENCY_ADVANCE_VIEW

      See Also:
        Constant Field Values

    - #### SYNAPSE_PASSTHROUGH_S2SLATENCY_ADVANCE_VIEW

          public static final String SYNAPSE_PASSTHROUGH_S2SLATENCY_ADVANCE_VIEW

      See Also:
        Constant Field Values

    - #### PASSTHROUGH_LATENCY_VIEW

          public static final String PASSTHROUGH_LATENCY_VIEW

      See Also:
        Constant Field Values

    - #### PASSTHROUGH_S2SLATENCY_VIEW

          public static final String PASSTHROUGH_S2SLATENCY_VIEW

      See Also:
        Constant Field Values

    - #### PASSTHOUGH_HTTP_SERVER_WORKER

          public static final String PASSTHOUGH_HTTP_SERVER_WORKER

      See Also:
        Constant Field Values

    - #### MESSAGE_OUTPUT_FORMAT

          public static final String MESSAGE_OUTPUT_FORMAT

      See Also:
        Constant Field Values

    - #### FORCE_SOAP_FAULT

          public static final String FORCE_SOAP_FAULT

      See Also:
        Constant Field Values

    - #### FORCE_PASSTHROUGH_BUILDER

          public static final String FORCE_PASSTHROUGH_BUILDER

      See Also:
        Constant Field Values

    - #### WSDL_GEN_HANDLED

          public static final String WSDL_GEN_HANDLED

      See Also:
        Constant Field Values

    - #### COPY_CONTENT_LENGTH_FROM_INCOMING

          public static final String COPY_CONTENT_LENGTH_FROM_INCOMING

      See Also:
        Constant Field Values

    - #### ORGINAL_CONTEN_LENGTH

          public static final String ORGINAL_CONTEN_LENGTH

      See Also:
        Constant Field Values

    - #### WAIT_BUILDER_IN_STREAM_COMPLETE

          public static final String WAIT_BUILDER_IN_STREAM_COMPLETE

      See Also:
        Constant Field Values

    - #### BUILDER_OUTPUT_STREAM

          public static final String BUILDER_OUTPUT_STREAM

      See Also:
        Constant Field Values

    - #### TRACE_SOAP_MESSAGE

          public static final String TRACE_SOAP_MESSAGE

      See Also:
        Constant Field Values

    - #### REQUEST_ACCEPTS_GZIP

          public static final String REQUEST_ACCEPTS_GZIP

      See Also:
        Constant Field Values

    - #### HTTP_SC_DESC

          public static final String HTTP_SC_DESC

      See Also:
        Constant Field Values

    - #### RELAY_EARLY_BUILD

          public static final String RELAY_EARLY_BUILD

      See Also:
        Constant Field Values

    - #### HTTP_CONTENT_TYPE

          public static final String HTTP_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### HTTP_CONTENT_LENGTH

          public static final String HTTP_CONTENT_LENGTH

      See Also:
        Constant Field Values

    - #### PROXY_PROFILE_TARGET_HOST

          public static final String PROXY_PROFILE_TARGET_HOST

      See Also:
        Constant Field Values

    - #### PROXY_BASIC_REALM

          public static final String PROXY_BASIC_REALM

      See Also:
        Constant Field Values

    - #### HTTP_PROXY_HOST

          public static final String HTTP_PROXY_HOST

      See Also:
        Constant Field Values

    - #### HTTP_PROXY_PORT

          public static final String HTTP_PROXY_PORT

      See Also:
        Constant Field Values

    - #### HTTP_PROXY_USERNAME

          public static final String HTTP_PROXY_USERNAME

      See Also:
        Constant Field Values

    - #### HTTP_PROXY_PASSWORD

          public static final String HTTP_PROXY_PASSWORD

      See Also:
        Constant Field Values

    - #### HTTP_NON_PROXY_HOST

          public static final String HTTP_NON_PROXY_HOST

      See Also:
        Constant Field Values

    - #### HTTP_ETAG_ENABLED

          public static final String HTTP_ETAG_ENABLED

      See Also:
        Constant Field Values

    - #### ENABLE_WS_ADDRESSING

          public static final String ENABLE_WS_ADDRESSING

      See Also:
        Constant Field Values

    - #### SERVER_WORKER_THREAD_ID

          public static final String SERVER_WORKER_THREAD_ID

      See Also:
        Constant Field Values

    - #### HTTP_HEAD

          public static final String HTTP_HEAD

      See Also:
        Constant Field Values

    - #### HTTP_GET

          public static final String HTTP_GET

      See Also:
        Constant Field Values

    - #### HTTP_POST

          public static final String HTTP_POST

      See Also:
        Constant Field Values

    - #### HTTP_DELETE

          public static final String HTTP_DELETE

      See Also:
        Constant Field Values

    - #### HTTP_PUT

          public static final String HTTP_PUT

      See Also:
        Constant Field Values

    - #### HTTP_OPTIONS

          public static final String HTTP_OPTIONS

      See Also:
        Constant Field Values

    - #### HTTP_CONNECT

          public static final String HTTP_CONNECT

      See Also:
        Constant Field Values

    - #### HTTP_METHOD

          public static final String HTTP_METHOD

      See Also:
        Constant Field Values

    - #### HTTP_SOCKET_TIMEOUT

          public static final String HTTP_SOCKET_TIMEOUT

      See Also:
        Constant Field Values

    - #### ORIGINAL_HTTP_SC

          public static final String ORIGINAL_HTTP_SC

      See Also:
        Constant Field Values

    - #### ORIGINAL_HTTP_REASON_PHRASE

          public static final String ORIGINAL_HTTP_REASON_PHRASE

      See Also:
        Constant Field Values

    - #### INTERNAL_EXCEPTION_ORIGIN

          public static final String INTERNAL_EXCEPTION_ORIGIN

      See Also:
        Constant Field Values

    - #### INTERNAL_ORIGIN_ERROR_HANDLER

          public static final String INTERNAL_ORIGIN_ERROR_HANDLER

      See Also:
        Constant Field Values

    - #### INTERNAL_TRIGGER_TYPE

          public static final String INTERNAL_TRIGGER_TYPE

      See Also:
        Constant Field Values

    - #### INTERNAL_TRIGGER_NAME

          public static final String INTERNAL_TRIGGER_NAME

      See Also:
        Constant Field Values

    - #### MESSAGE_SIZE_VALIDATION_SUM

          public static final String MESSAGE_SIZE_VALIDATION_SUM

      See Also:
        Constant Field Values

    - #### SOURCE_CONNECTION_DROPPED

          public static final String SOURCE_CONNECTION_DROPPED

      See Also:
        Constant Field Values

    - #### APPLICATION_OCTET_STREAM

          public static final String APPLICATION_OCTET_STREAM

      See Also:
        Constant Field Values

    - #### SYSTEMPROP_PORT_CLOSE_VERIFY_TIMEOUT

          public static final String SYSTEMPROP_PORT_CLOSE_VERIFY_TIMEOUT

      See Also:
        Constant Field Values

    - #### FORCE_XML_MESSAGE_VALIDATION

          public static final String FORCE_XML_MESSAGE_VALIDATION

      See Also:
        Constant Field Values

    - #### FORCE_JSON_MESSAGE_VALIDATION

          public static final String FORCE_JSON_MESSAGE_VALIDATION

      See Also:
        Constant Field Values

    - #### CORRELATION_LOGS_SYS_PROPERTY

          public static final String CORRELATION_LOGS_SYS_PROPERTY

      See Also:
        Constant Field Values

    - #### CORRELATION_LOGGER

          public static final String CORRELATION_LOGGER

      See Also:
        Constant Field Values

    - #### CORRELATION_DEFAULT_HEADER

          public static final String CORRELATION_DEFAULT_HEADER

      See Also:
        Constant Field Values

    - #### TRANSPORT_LATENCY_LOGGER

          public static final String TRANSPORT_LATENCY_LOGGER

      See Also:
        Constant Field Values

    - #### TRANSPORT_IN_URL

          public static final String TRANSPORT_IN_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PassThroughConstants

          public PassThroughConstants()